summaryrefslogtreecommitdiff
path: root/pcr/python2-amqplib
diff options
context:
space:
mode:
Diffstat (limited to 'pcr/python2-amqplib')
-rw-r--r--pcr/python2-amqplib/PKGBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/pcr/python2-amqplib/PKGBUILD b/pcr/python2-amqplib/PKGBUILD
new file mode 100644
index 000000000..d67800a06
--- /dev/null
+++ b/pcr/python2-amqplib/PKGBUILD
@@ -0,0 +1,22 @@
+# Contributor: Tevin Zhang <mail2tevin {at} gmail {dot} com>
+# Maintainer : Parabola GNU / Linux-libre Aurelien Desbrieres <aurelien@cwb.IO>
+
+pkgname=python2-amqplib
+pkgver=1.0.2
+pkgrel=3
+pkgdesc="Python client for the Advanced Message Queuing Procotol (AMQP). Uses Python2."
+arch=('any')
+url="http://code.google.com/p/py-amqplib/"
+license=("LGPL")
+depends=('python2>=2.6' 'setuptools')
+source=(http://py-amqplib.googlecode.com/files/amqplib-$pkgver.tgz)
+
+build() {
+ cd $srcdir/amqplib-$pkgver
+
+ # replace /usr/bin/env python with python2
+ find . -name '*.py' -exec sed -i -e '1 s/python\s*$/python2/' {} \;
+
+ python2 ./setup.py install --root=$pkgdir --prefix=/usr || return 1
+}
+